> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Update Billing

PUT https://api.staple.io/v1/billings
Content-Type: application/json

Update billing contact details such as your address or phone number.

Reference: https://docs.staple.ai/api-reference/v1/billings/update-billing

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/billings:
    put:
      operationId: updateBilling
      summary: Update Billing
      description: Update billing contact details such as your address or phone number.
      tags:
        - billings
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Billings_updateBilling_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                info:
                  $ref: >-
                    #/components/schemas/V1BillingsPutRequestBodyContentApplicationJsonSchemaInfo
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    V1BillingsPutRequestBodyContentApplicationJsonSchemaInfo:
      type: object
      properties:
        address:
          type: string
        city:
          type: string
        country:
          type: string
        postCode:
          type: string
        phoneNumber:
          type: string
      title: V1BillingsPutRequestBodyContentApplicationJsonSchemaInfo
    Billings_updateBilling_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Billings_updateBilling_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Update Billing



**Request**

```json
undefined
```

**Response**

```json
{
  "updateBillingInfo": {
    "message": "Updated billing information successfully."
  }
}
```

**SDK Code**

```python Update Billing
import requests

url = "https://api.staple.io/v1/billings"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Update Billing
const url = 'https://api.staple.io/v1/billings';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Billing
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/billings"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Billing
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/billings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Update Billing
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/billings")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Update Billing
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/billings', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Billing
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/billings");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Update Billing
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/billings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Billings_updateBilling_example



**Request**

```json
{
  "info": {
    "address": "Duong Quang Ham, Go Vap",
    "city": "HCM",
    "country": "vn",
    "postCode": "70000",
    "phoneNumber": "0992929292"
  }
}
```

**Response**

```json
{
  "updateBillingInfo": {
    "message": "Updated billing information successfully."
  }
}
```

**SDK Code**

```python Billings_updateBilling_example
import requests

url = "https://api.staple.io/v1/billings"

payload = { "info": {
        "address": "Duong Quang Ham, Go Vap",
        "city": "HCM",
        "country": "vn",
        "postCode": "70000",
        "phoneNumber": "0992929292"
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Billings_updateBilling_example
const url = 'https://api.staple.io/v1/billings';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"info":{"address":"Duong Quang Ham, Go Vap","city":"HCM","country":"vn","postCode":"70000","phoneNumber":"0992929292"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Billings_updateBilling_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/billings"

	payload := strings.NewReader("{\n  \"info\": {\n    \"address\": \"Duong Quang Ham, Go Vap\",\n    \"city\": \"HCM\",\n    \"country\": \"vn\",\n    \"postCode\": \"70000\",\n    \"phoneNumber\": \"0992929292\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Billings_updateBilling_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/billings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"info\": {\n    \"address\": \"Duong Quang Ham, Go Vap\",\n    \"city\": \"HCM\",\n    \"country\": \"vn\",\n    \"postCode\": \"70000\",\n    \"phoneNumber\": \"0992929292\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Billings_updateBilling_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/billings")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"info\": {\n    \"address\": \"Duong Quang Ham, Go Vap\",\n    \"city\": \"HCM\",\n    \"country\": \"vn\",\n    \"postCode\": \"70000\",\n    \"phoneNumber\": \"0992929292\"\n  }\n}")
  .asString();
```

```php Billings_updateBilling_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/billings', [
  'body' => '{
  "info": {
    "address": "Duong Quang Ham, Go Vap",
    "city": "HCM",
    "country": "vn",
    "postCode": "70000",
    "phoneNumber": "0992929292"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Billings_updateBilling_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/billings");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"info\": {\n    \"address\": \"Duong Quang Ham, Go Vap\",\n    \"city\": \"HCM\",\n    \"country\": \"vn\",\n    \"postCode\": \"70000\",\n    \"phoneNumber\": \"0992929292\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Billings_updateBilling_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["info": [
    "address": "Duong Quang Ham, Go Vap",
    "city": "HCM",
    "country": "vn",
    "postCode": "70000",
    "phoneNumber": "0992929292"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/billings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```